NotaryHandle
Keywords: net.corda.testing.driver.NotaryHandle class
Date: 2023-09-18

net.corda.testing.driver

## Class NotaryHandle

- net.corda.testing.driver.NotaryHandle

-     public class NotaryHandle

  Object ecapsulating a notary started automatically by the driver.

- - ### Constructor Detail

    - #### NotaryHandle

          public NotaryHandle(@NotNull
                              Party identity,
                              boolean validating,
                              @NotNull
                              CordaFuture<java.util.List> nodeHandles)

      Object ecapsulating a notary started automatically by the driver.

  - ### Method Detail

    - #### getIdentity

          @NotNull
          public Party getIdentity()

    - #### getValidating

          public boolean getValidating()

    - #### getNodeHandles

          @NotNull
          public CordaFuture<java.util.List> getNodeHandles()

    - #### component1

          @NotNull
          public Party component1()

    - #### component2

          public boolean component2()

    - #### component3

          @NotNull
          public CordaFuture<java.util.List> component3()

    - #### copy

          @NotNull
          public NotaryHandle copy(@NotNull
                                            Party identity,
                                            boolean validating,
                                            @NotNull
                                            CordaFuture<java.util.List> nodeHandles)

      Object ecapsulating a notary started automatically by the driver.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Object ecapsulating a notary started automatically by the driver.

    - #### hashCode

          public int hashCode()

      Object ecapsulating a notary started automatically by the driver.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Object ecapsulating a notary started automatically by the driver.